Download it now!
Bug 55955 - Tablecontrol's first cell not activated when TABing into the control
Summary: Tablecontrol's first cell not activated when TABing into the control
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
3.6.0.0.alpha1
Hardware: All All
: medium normal
Assignee: Lionel Elie Mamane
URL:
Whiteboard: target:4.2.0 target:4.1.1 target:4.0.5
Keywords: bibisectRequest, regression
Depends on:
Blocks:
 
Reported: 2012-10-13 19:26 UTC by Frank Schönheit
Modified: 2015-12-17 07:00 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
a document showing the problem (10.83 KB, application/vnd.oasis.opendocument.text)
2012-10-13 19:26 UTC, Frank Schönheit
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Frank Schönheit 2012-10-13 19:26:34 UTC
Created attachment 68529 [details]
a document showing the problem

Having a database form with table control, TABing into the control does not activate the first table cell. TABing a second time activates the second cell. Shift+TABing then activates the first cell.
By "activation", I mean that typing keys would modify the content of the cell.

To reproduce:

- open the attached document
=> The focus should automatically go to the text box.
- Press the TAB key.

Expected behavior:
- The first cell of the table control is focused active

Actual behavior:
- The focus vanishes. It is neither in the text box, nor in any cell of the table control.


Note that this is a regression: In LibreOffice 3.5.6.2, it works like expected. (In 3.6.1.2, however, it doesn't.)

Also note that I consider this an accessibility issue: If you have a table control with only one cell (which in fact might happen in a sub form, where the table control might e.g. be used to add one or more comments, so an initially-empty table control has exactly the one cell for the new row), reaching this cell by keyboard only is impossible.
Comment 1 Robert Großkopf 2012-10-14 16:16:10 UTC
Have tested it with LO 3.5.7.1. There it works. Then with LO 3.6.2.2 and 3.6.3.0+ - the first field of the tablecontrol could not be choosen directly by the tabulator.
My system: OpenSuSE 11.4 32bit rpm.
I have changed the status to "New".
Comment 2 Joel Madero 2013-04-25 23:05:31 UTC
I can confirm the regression on Version 3.6.0beta1 (Build ID: 1f1cdd) -- Bodhi Linux

Updating version to reflect LibreOffice policy that version is the earliest release that we can confirm the problem.

Thanks for reporting
Comment 3 Joel Madero 2013-05-02 18:52:28 UTC
Bibisect is useless - broken at 3.6.0.0.alpha1 for sure. 

Updating version, removing bibisectrequest.


Leaving regression as reporter said it works in 3.5.6.2 - I did not test this though
Comment 4 Lionel Elie Mamane 2013-07-30 07:32:48 UTC
Backport to 4.1.1 and 4.0.6 at
https://gerrit.libreoffice.org/5178
https://gerrit.libreoffice.org/5179
respectively.

(Just missed the 4.0.5 deadline.)
Comment 5 Commit Notification 2013-07-30 07:35:31 UTC
Lionel Elie Mamane committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=feb6e7097fe0eb58590c18a9a1371f67f74f121f

fdo#55955 select first column if possible



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2013-07-30 10:04:08 UTC
Lionel Elie Mamane committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1e1d5847102cc23f33649118637e1723155e4b1a&h=libreoffice-4-1

fdo#55955 select first column if possible


It will be available in LibreOffice 4.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2013-07-30 10:04:28 UTC
Lionel Elie Mamane committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bac2e995debd58957bdca24ba29f4817a752e020&h=libreoffice-4-0

fdo#55955 select first column if possible


It will be available in LibreOffice 4.0.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Robinson Tryon (qubit) 2015-12-17 07:00:49 UTC
Migrating Whiteboard tags to Keywords: (bibisectrequest)
[NinjaEdit]